#
# spec file for package dhcp6 (Version 1.0.11)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           dhcp6
BuildRequires:  openssl-devel
Url:            http://dhcpv6.sourceforge.net/
%define prefix /usr
%define	_name dhcpv6
License:        BSD 3-Clause
Group:          Productivity/Networking/System
Summary:        DHCP Client and Server for IPv6
Version:        1.0.11
Release:        0.9
Source0:        %{_name}-%{version}.tar.bz2
Source1:        dhcp6c_update.sh
Source2:        60-dhcp6c.up
Source3:        60-dhcp6c.down
Patch1:         git-fix_sigsegv_while_parsing_saved_configuration_independently_of_flex_version
Patch2:         git-revert_return_ia_option_with_noaddravail
Patch3:         git-add_domain_list_option_check_to_specify_dnslist
Patch4:         git-update_now_whenever_checking_expiration_for_each_timer
Patch5:         git-verify_length_of_buffer_for_relay_repl_correctly
Patch6:         git-handle_multiple_nameservers_in_option_23_in_a_dhcpv6_reply
Patch7:         git-use_the_last_4_bytes_of_the_mac_addr_to_generate_iaid
Patch8:         git-do_not_output_interfaceid_in_msgs_to_client
Patch9:         git-check_duid_and_iaid_for_duplicate_hosts
Patch10:        git-do-not-deferences-NULL-in-dhcp6c
Patch11:        %{_name}-%{version}-destdir.patch
Patch12:        %{_name}-%{version}-version.patch
Patch13:        %{_name}-%{version}-cmd.patch
Patch14:        dhcp6c-error-handling
Patch15:        dhcp6c-fix-wrong-notonlink.patch
Patch16:        dhcp6c-move_new_link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A stateful address autoconfiguration protocol for IPv6, labelled
DHCPv6. This package contains the server and the client.



Authors:
--------
    Shirley Ma, xma@us.ibm.com
    Elizabeth Kon, beth@us.ibm.com

%debug_package
%prep
%setup -q -n %{_name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
touch NEWS
rm -f missing
aclocal -I m4
libtoolize --copy --force
autoconf
autoheader
automake --foreign --add-missing --copy
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	./configure --prefix=/usr \
		--libdir=%{_libdir} \
		--mandir=%{_mandir} \
		--sysconfdir=/etc \
		--enable-libdhcp=no
make clean
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 754 %{S:1} $RPM_BUILD_ROOT/usr/sbin/dhcp6c_update.sh
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/network/if-up.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/network/if-down.d
install -m 755 %{S:2} $RPM_BUILD_ROOT/etc/sysconfig/network/if-up.d/60-dhcp6c
install -m 755 %{S:3} $RPM_BUILD_ROOT/etc/sysconfig/network/if-down.d/60-dhcp6c
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{8,5}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcpv6/
ln -s /etc/init.d/dhcp6s $RPM_BUILD_ROOT/usr/sbin/rcdhcp6s
ln -s /etc/init.d/dhcp6r $RPM_BUILD_ROOT/usr/sbin/rcdhcp6r

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS docs/*.txt LICENSE
/usr/sbin/*
%{_libdir}/libdhcp6client*
%{_libdir}/pkgconfig/libdhcp6client.pc
/usr/include/*
%{_mandir}/man?/*
%dir /var/lib/dhcpv6
%config /etc/sysconfig/network/dhcp*
/etc/sysconfig/network/if-up.d/60-dhcp6c
/etc/sysconfig/network/if-down.d/60-dhcp6c
%config /etc/dhcp6c.conf
%config /etc/dhcp6s.conf
/etc/init.d/*

%changelog
* Wed Oct 29 2008 - kkeil@suse.de
- Fix TAHI - DHCPv6-client RFC3315 #71:Part D :Reply  message
  contains NotOnLink in response to a Confirm message (bnc#407957)
- Doesn't get new address when moving into a new link (bnc#433864)
* Mon May 19 2008 - jeffm@suse.com
- Upstream fixes:
  - Added fixes for multiple trivial crashes (bnc#392335)
  - Added checking for duplicate duid and iaid on different hosts
  - Added handling for multiple DNS servers
- Added error handling during initialisation to dhcp6c for easier problem
  tracking (bnc#392335)
- Removed 'request prefix-delegation' from "full" mode as it causes
  the host to ignore stateful address configuration (bnc#392337)
- Overwrites autogenerated config file automatically (bnc#392338)
* Mon Apr 21 2008 - kkeil@suse.de
- Do not output Interface-ID option in messages to client with
  dhcp6r (bnc#377911)
* Fri Apr 04 2008 - kkeil@suse.de
- start dhcp6c via if-up hook (bnc#377153)
- make start scripts working for our init using rc_status
* Sun Mar 09 2008 - kkeil@suse.de
- Revert "Return IA option with NoAddrAvail" (bnc#367296)
- Add domain list option check to specify dnslist (bnc#367298)
- Verify length of buffer for RELAY_REPL correctly (bnc#367299)
- Update now whenever checking expiration for each timer (bnc#367633)
* Mon Feb 04 2008 - kkeil@suse.de
- update to 1.0.11
  - fix several issues in client mode (bnc#341616 )
* Fri Jan 11 2008 - kkeil@suse.de
- update to version 1.0.4 (Fate 303301)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - schwab@suse.de
- Don't strip binaries.
- Don't build as root.
* Fri Nov 18 2005 - meissner@suse.de
- no strict aliasing.
* Fri Oct 14 2005 - meissner@suse.de
- fixed build.
* Wed May 12 2004 - okir@suse.de
- use new IANA assigned numbers for dhcp6 (#40438)
* Wed Apr 21 2004 - meissner@suse.de
- missing argument to dprintf added, spotted by
  compiler warning checks.
* Tue Mar 16 2004 - meissner@suse.de
- Upgraded to 0.10.
  Fixed all important warnings and bugs from upstream.
* Fri Aug 22 2003 - meissner@suse.de
- Upgraded to 0.85, added unsigned int configuration parse patch.
* Wed Jun 11 2003 - meissner@suse.de
- Upgraded to 0.8, dropped some of the old patches.
* Mon May 05 2003 - meissner@suse.de
- Updated to 0.6, redid patches.
* Wed Apr 02 2003 - kukuk@suse.de
- Remove libinet6
- Fix compiler warnings for x86-64
* Wed Mar 26 2003 - okir@suse.de
- backed out the previous patch as per request from Venkata -
  it's not required
* Mon Mar 24 2003 - okir@suse.de
- dhcp6 client: drop the address if server returns UNSPECFAIL (#25782)
* Thu Mar 20 2003 - kukuk@suse.de
- Fix last patch
* Wed Mar 19 2003 - kukuk@suse.de
- Change /var/db -> /var/lib [Bug #25612]
* Fri Mar 14 2003 - meissner@suse.de
- Updated to 0.3 version, adds prefix things.
* Tue Feb 25 2003 - meissner@suse.de
- DHCP for ipv6, first revision. (from sourceforge, adapted to USAGI
  headers)
